#pragma once

#include once "windows.bi"

extern "C"

#define _HAD_ZIPWIN32_H
const _WIN32_WINNT = &h0501
type _zip_source_win32_file_ops as _zip_source_win32_file_ops_

type _zip_source_win32_read_file
	error as zip_error_t
	supports as zip_int64_t
	ops as _zip_source_win32_file_ops ptr
	fname as any ptr
	h as any ptr
	closep as long
	st as zip_stat
	start as zip_uint64_t
	as zip_uint64_t end
	current as zip_uint64_t
	tmpname as any ptr
	hout as any ptr
end type

type _zip_source_win32_read_file_t as _zip_source_win32_read_file

type _zip_source_win32_file_ops_
	op_strdup as function(byval as const any ptr) as any ptr
	op_open as function(byval as _zip_source_win32_read_file_t ptr) as any ptr
	op_create_temp as function(byval as _zip_source_win32_read_file_t ptr, byval as any ptr ptr, byval as zip_uint32_t, byval as PSECURITY_ATTRIBUTES) as any ptr
	op_rename_temp as function(byval as _zip_source_win32_read_file_t ptr) as long
	op_remove as function(byval as const any ptr) as long
end type

type _zip_source_win32_file_ops_t as _zip_source_win32_file_ops
declare function _zip_source_win32_handle_or_name(byval as const any ptr, byval as any ptr, byval as zip_uint64_t, byval as zip_int64_t, byval as long, byval as const zip_stat_t ptr, byval as _zip_source_win32_file_ops_t ptr, byval as zip_error_t ptr) as zip_source_t ptr

end extern
