#pragma once

#include once "crt/long.bi"
#include once "crt/stdint.bi"

#define _HAD_ZIPCONF_H
#define LIBZIP_VERSION "1.5.1"
const LIBZIP_VERSION_MAJOR = 1
const LIBZIP_VERSION_MINOR = 5
const LIBZIP_VERSION_MICRO = 1
#define ZIP_STATIC

type zip_int8_t as byte
type zip_uint8_t as ubyte
type zip_int16_t as short
type zip_uint16_t as ushort
type zip_int32_t as long
type zip_uint32_t as ulong
type zip_int64_t as longint
type zip_uint64_t as ulongint

#define ZIP_INT8_MIN ((-ZIP_INT8_MAX) - 1)
const ZIP_INT8_MAX = &h7f
const ZIP_UINT8_MAX = &hff
#define ZIP_INT16_MIN ((-ZIP_INT16_MAX) - 1)
const ZIP_INT16_MAX = &h7fff
const ZIP_UINT16_MAX = &hffff
#define ZIP_INT32_MIN ((-ZIP_INT32_MAX) - cast(clong, 1))
const ZIP_INT32_MAX = cast(clong, &h7fffffff)
const ZIP_UINT32_MAX = cast(culong, &hffffffff)
#define ZIP_INT64_MIN ((-ZIP_INT64_MAX) - 1ll)
const ZIP_INT64_MAX = &h7fffffffffffffffll
const ZIP_UINT64_MAX = &hffffffffffffffffull
